error fb Gplus IN twitter down-arrow Email Phone Check-Mark padlock circle_arrow minus plus play_btn close Clipboard_Icon Shopping-Cart_Icon Speech_Bubble_Icon Stethoscope_Icon pharmacists menu left-arrow right-arrow facebook search cart

What devices and software are compatible with the Dexcom CGM apps?

We recommend checking the Dexcom compatibility chart before installing a new iOS or Android OS version on your smart device. Dexcom tests all its apps on new OS versions after the OS is released. It may take several days or more to complete testing and, if necessary, update the Dexcom app to be fully compatible with a new OS version.

           
 United States

Dexcom G6
App

 

iPhone
5S, 6, 6 Plus, 6S, 6S Plus, 7, 7 Plus, SE, 8, 8 Plus, X, XS, XS Max, XR

iPod Touch
6th Generation

Apple iOS
10.3.2 - 12.1.3 (for compatible devices only)

Apple Watch (requires a compatible smart device)
1st Generation, Series 1, Series 2, Series 3, Series 4

Apple watchOS
3.0.0 - 5.1.3  (for compatible devices only)

Google
Pixel, Pixel XL, Pixel 2, Pixel 2 XL, Pixel 3, Pixel 3 XL

Samsung Galaxy
S6, S6 Edge, S7, S7 Edge, S8, S8+, S9, S9+
Note 5, Note 8, Note 9
J3 [Models SM-J327, SM-J330 and SM-J337)

LG
G5, G6, G7 ThinQ 

Android OS
7.0.0 - 8.0.0 (for compatible devices only)

Android Watch OS
Android Wear OS: 2.0 - 2.9 (for compatible devices only)
Wear OS: 1.0 - 2.0 (for compatible devices only)

Dexcom G5 Mobile
App

 

iPhone
4S, 5, 5C, 5S, 6, 6 Plus, 6S, 6S Plus, 7, 7 Plus, SE, 8, 8 Plus, X, XS, XS Max, XR  

iPod Touch
6th Generation 

iPad
3, 4, Air, Air 2, Mini, Mini 2, Mini 3, Mini 4, Pro, 5th Generation

Apple iOS
9.0.0 - 12.1.4 (for compatible devices only)

Apple Watch(requires a compatible smart device)
1st Generation, Series 1, Series 2, Series 3, Series 4

Apple watchOS
3.0.0 - 5.1.3 (for compatible devices only)

Google
Pixel, Pixel XL, Pixel 2, Pixel 2 XL, Pixel 3, Pixel 3 XL

Samsung Galaxy
S5, S6, S6 Edge, S7, S7 Edge, S8, S8+, S9, S9+
Note 5, Note 8, Note 9
J3 [Models SM-J327, SM-J330 and SM-J337)

LG
G4, G5, G6, G7 ThinQ

Motorola
Nexus 6

Android OS
6.0.0 - 8.0.0 (for compatible devices only) 

Android Watches Wear OS (requires a compatible smart device)
Android Wear OS: 2.0 - 2.9 (for compatible devices only)
Wear OS: 1.0 - 2.0 (for compatible devices only) 

Dexcom Share2 App

 

iPhone
4S, 5, 5C, 5S, 6, 6 Plus, 6S, 6S Plus, 7, 7 Plus, SE, 8, 8 Plus, X, XS, XS Max, XR

iPod touch
6th Generation

iPad
3, 4, Air, Air 2, Mini, Mini 2, Mini 3, Mini 4, Pro, 5th Generation, 6th Generation

Apple iOS
10.0.1 - 12.1.4 (for compatible devices only)

Apple Watch (requires a compatible smart device)
1st Generation, Series 1, Series 2, Series 3

Apple watchOS
3.0.0 - 5.1.3 (for compatible devices only)              

Dexcom Follow
App

 

iPhone
4S, 5, 5C, 5S, 6, 6 Plus, 6S, 6S Plus, 7, 7 Plus, SE, 8, 8 Plus, X, XS, XS Max, XR 

iPod touch
6th Generation

iPad
3, 4, Air, Air 2, Mini, Mini 2, Mini 3, Mini 4, Pro, 5th Generation, 6th Generation 

Apple iOS
10.0.1 - 12.1.4 (for compatible devices only)

Apple Watch (requires a compatible smart device)
1st Generation, Series 1, Series 2, Series 3

Apple watchOS
3.0.0 - 5.1.3 (for compatible devices only)

Samsung Galaxy 
S5, S6, S7 Edge, S8, S8+, S9, S9+ 
Note 8 
J3 [Models SM-J327, SM-J330 and SM-J337)

LG
G5

Other Android Devices
Motorola Nexus 6, Sony Xperia, HTC One 8

Android OS
4.4.4 - 9.0.0 (for compatible devices only)

CLARITY reports
app

 

iPhone
5, 5C, 5S, 6, 6 Plus, 6S, 6S Plus, 7, 7 Plus, 8, 8 Plus, X 

Apple iOS
10.3 - 11.4.1 (for compatible devices only)

Google
Pixel

Samsung Galaxy
S5, S6, S7, S8, LG G4, LG G5, LG G6
Note 5, Note 8

Motorola
Nexus 6

Android OS
Android device using OS version 6.0 or later (for compatible devices only)

Dexcom Glucose
Program

 

Google
Pixel, Pixel 2  

Samsung
Galaxy S6, Galaxy S6 Edge, Galaxy S7, Galaxy S7 Edge, Galaxy S8, Galaxy S8+, Galaxy S9, Galaxy S9+
Galaxy Note 5, Galaxy Note 8, Galaxy Note 9
Galaxy J3 (Models SM-J327 and SM-J330)

LG
G5, G6, G7 ThinQ

Android OS
7.0.0 - 9.0.0 (for compatible devices only)

Fitbit Watch (requires a compatible smart device)
Versa 

Fitbit Watch OS
2.1 - 3.0 (requires a compatible smart device)

 

 

The follower will also need an internet connection to access data.

Identify your iPhone model